#####################################################
#                                                   #
#  MAPDRIVE.PL - Script to find open shares         #
#                                                   #
#  Written by Bob Konigsberg September, 2001        #
#  This script takes the text file d:\test.txt      #
#  as written by the Legion 2.1/2.1.1 scanning      #
#  tool and produces a batch file which will        #
#  actually map a drive (Z:) to each sharename      #
#  in turn, attempt to create a test directory      #
#  on the mapped drive.                             #
#                                                   #
#  The batch file RUNMAP.BAT, when run will         #
#  write an error log D:\ERRORLIST identifying      #
#  those sharenames that were Read/Write.           #
#                                                   #
#  NOTE: The DOMAIN and USERNAME need to be         #
#  modified to match your network.                  #
#                                                   #
#  Feel free to modify and pass this on, as         #
#  long as this notice is left intact.              #
#                                                   #
#####################################################
#
#
# 10
open (LOGLIST, "d:\\test.txt");
while (<LOGLIST>) 
	{
	chomp;
	$sharename=$_;
	@sysname=split(/\\/, $sharename);
	$sysname=$sysname[2];		# Identify current system being tested
	open (BATCH, ">D:\RUNMAP.BAT");
	printf BATCH ("net use z: %s /USER:DOMAIN\\USERNAME\"\n", $sharename);
	printf BATCH ("mkdir z:\\T3sT_DIR\n");
	printf BATCH ("if not errorlevel 1 echo %s >> D:\\ERRORLIST\n", $sharename);
#20
	printf BATCH ("if NOT %s == .%s 
	printf BATCH ("rmdir z:\\T3sT_DIR\n");
	printf BATCH ("net use z: /d /y\n");
	close  BATCH;
	system ("D:\RUNMAP.BAT");
	unlink ('D:\RUNMAP.BAT');
	$oldsysname=$sysname;		# Assign present system name to be previous one
	};
